Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(111)

Issue 2038403002: Add a new way to record Rappor metrics for MIDI permissions. (Closed)

Created:
3 years ago by Takashi Toyoshima
Modified:
3 years ago
CC:
asvitkine+watch_chromium.org, chromium-reviews, dominickn, mlamouri+watch-permissions_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add a new way to record Rappor metrics for MIDI permissions. Rappor metrics for constant permissions were added, but it was based on old way that may be deprecated soon. This change adds new way to record metrics that others use. Also, rappor.xml is updated that was missed in the last change. BUG=465661 TBR=mlamouri@chromium.org Committed: https://crrev.com/b2c4d4e8b507616425a23d6bb5b9df5ff6f34064 Cr-Commit-Position: refs/heads/master@{#398770}

Patch Set 1 #

Total comments: 2

Patch Set 2 : M52 -> M53 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -0 lines) Patch
M chrome/browser/permissions/permission_uma_util.cc View 1 chunk +5 lines, -0 lines 0 comments Download
M tools/metrics/rappor/rappor.xml View 1 1 chunk +17 lines, -0 lines 0 comments Download

Messages

Total messages: 18 (8 generated)
Takashi Toyoshima
Mounir: I added rappor metrics for MIDI, but I noticed that the way I used ...
3 years ago (2016-06-06 06:58:46 UTC) #3
mlamouri (slow - plz ping)
I will happily rubberstamp this if dominickn@ is happy with the change. Adding him as ...
3 years ago (2016-06-06 13:05:16 UTC) #5
Ilya Sherman
LGTM, plus CC'ing Steve in case he'd like to sanity-check the RAPPOR details. https://codereview.chromium.org/2038403002/diff/1/tools/metrics/rappor/rappor.xml File ...
3 years ago (2016-06-06 18:19:50 UTC) #6
Steven Holte
On 2016/06/06 18:19:50, Ilya Sherman wrote: > LGTM, plus CC'ing Steve in case he'd like ...
3 years ago (2016-06-06 22:18:11 UTC) #7
dominickn
lgtm % isherman's nit regarding M53. I'll be removing the deprecated metrics starting from after ...
3 years ago (2016-06-07 00:02:16 UTC) #8
Takashi Toyoshima
https://codereview.chromium.org/2038403002/diff/1/tools/metrics/rappor/rappor.xml File tools/metrics/rappor/rappor.xml (right): https://codereview.chromium.org/2038403002/diff/1/tools/metrics/rappor/rappor.xml#newcode750 tools/metrics/rappor/rappor.xml:750: as of M52. The domain that requests using MIDI ...
3 years ago (2016-06-07 03:37:48 UTC) #9
Takashi Toyoshima
I'll submit this with TBR as per #5
3 years ago (2016-06-09 02:39:52 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2038403002/20001
3 years ago (2016-06-09 02:40:15 UTC) #14
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years ago (2016-06-09 03:23:39 UTC) #16
commit-bot: I haz the power
3 years ago (2016-06-09 03:25:23 UTC) #18
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/b2c4d4e8b507616425a23d6bb5b9df5ff6f34064
Cr-Commit-Position: refs/heads/master@{#398770}

Powered by Google App Engine
This is Rietveld 408576698